# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg growth
%define ver 0.5
%define rrel 0
%define rel 1

Name: R-%{pkg}
Summary: R-package: Normal theory repeated measurements models
Group: Applications/Engineering
Copyright: GPL
URL: http://www.ci.tuwien.ac.at/R/src/contrib/PACKAGES.html
Prefix: /usr
BuildRoot: /var/tmp/R-%{pkg}
Icon: logosm-trans.gif
Version: %{ver}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}.tar.gz
Requires: R-base
Requires: R-rmutil
Excludearch: sparc

%description
Normal theory repeated measurements models contributed by
Jim Lindsey <jlindsey@luc.ac.be>

%changelog
* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- updated version to 0.5
- built for 6.1 on alpha and i386

* Wed Apr 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- built into powertools

%prep
%setup -c

# --------------- Don't change anything below this line --------------

%build
#
export R_PACKAGE_NAME=${RPM_PACKAGE_NAME##R-}
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f ${R_PACKAGE_NAME}/src/*.o
rm -f ${R_PACKAGE_NAME}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library ${R_PACKAGE_NAME}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls ${R_PACKAGE_NAME}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive ${R_PACKAGE_NAME}/${docfile} doc/;;
   esac
done

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/${R_PACKAGE_NAME}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/${R_PACKAGE_NAME}
rm -rf ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi
